# Check order (file) status after a buy request

Uses HTTP POST to accept a URL or OrderId and returns the File Status response in JSON format.

Endpoint: POST /getFileStatus

## Header parameters:

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/xml", "application/json"

## Request fields (application/json):

  - `Url` (string)
    Download link provided from the buy request.

  - `OrderId` (string)
    OrderId provided by the buy request.

## Response 200 fields (application/json):

  - `url` (string)

  - `fileStatus` (string)

  - `orderTime` (string)

  - `finishTime` (string)

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


